| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::Operations Struct Reference

`#include <GaudiKernel/GrammarsV2.h>`

## Classes
struct | result

## Public Member Functions
void | operator() (ResultT &res, const VectorPairT &vec) const
void | operator() (PairT &res, const KeyT &key, tag_key) const
void | operator() (PairT &res, const MappedT &value, tag_mapped) const

## Detailed Description

### template<typename Iterator, typename MapT, typename Skipper>
struct Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::Operations

Definition at line 375 of file GrammarsV2.h.

## Member Function Documentation

template<typename Iterator , typename MapT , typename Skipper >

void Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::Operations::operator() | ( | ResultT & | res,
|  | const VectorPairT & | vec
| ) |  | const
| inline

Definition at line 382 of file GrammarsV2.h.

383 {
384 for ( auto cur = vec.begin(); cur != vec.end(); ++cur ) {
385 res.insert( *cur );
386 }
387 }
template<typename Iterator , typename MapT , typename Skipper >

void Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::Operations::operator() | ( | PairT & | res,
|  | const KeyT & | key,
|  | tag_key |
| ) |  | const
| inline

Definition at line 388 of file GrammarsV2.h.

388 { res.first = key; }
Gaudi::Parsers::MapGrammar::key
Grammar_< Iterator, typename MapT::key_type, Skipper >::Grammar key
Definition: GrammarsV2.h:401
template<typename Iterator , typename MapT , typename Skipper >

void Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::Operations::operator() | ( | PairT & | res,
|  | const MappedT & | value,
|  | tag_mapped |
| ) |  | const
| inline

Definition at line 389 of file GrammarsV2.h.

389 { res.second = value; }
Gaudi::Parsers::MapGrammar::value
Grammar_< Iterator, typename MapT::mapped_type, Skipper >::Grammar value
Definition: GrammarsV2.h:402

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/GrammarsV2.h